<?php  defined('C5_EXECUTE') or die("Access Denied.");  ?>

<fieldset>
    <legend>
        <button class="btn btn-xs pull-right btn-default" type="button" id="ccm-block-checklist-add-item"><?php echo t('Add Item')?></button>
        <?php echo t('Checklist')?>
    </legend>
    <div id="ccm-block-checklist-item-none">
        <?php echo t('You have not added any checklist items.')?>
    </div>
    <div id="ccm-block-checklist-item-wrapper">

    </div>
</fieldset>

<fieldset>
    <legend><?php echo t('Title & Access')?></legend>
    <div class="form-group">
        <label class="control-label" for="title"><?php echo t('Title')?></label>
        <?php echo $form->text('title', $title)?>
    </div>

    <div class="form-group">
        <label class="control-label" for="title"><?php echo t('Items Can Be Checked By')?></label>
        <div class="radio">
            <label>
                <input <?php  if ($checkAccess == 'E') { ?>checked<?php  } ?> type="radio" name="checkAccess" value="E">
                <?php echo  t('Those with edit access to the block.') ?>
            </label>
        </div>
        <div class="radio">
            <label>
                <input <?php  if ($checkAccess == 'R') { ?>checked<?php  } ?> type="radio" name="checkAccess" value="R">
                <?php echo  t('Registered users.') ?>
            </label>
        </div>

        <div class="radio">
            <label>
                <input <?php  if ($checkAccess == 'A') { ?>checked<?php  } ?> type="radio" name="checkAccess" value="A">
                <?php echo  t('Anyone.') ?>
            </label>
        </div>
    </div>
</fieldset>

<script type="text/template" class="checklist-item-template">
    <div class="form-group" data-item="checklist-item">
        <a href="#" data-remove="checklist-item" class="icon-link pull-right"><i class="fa fa-minus-circle"></i></a>
        <a href="#" data-sort="checklist-item" class="icon-link pull-right"><i class="fa fa-arrows"></i></a>
        <label class="control-label"><?php echo t('Text')?></label>
        <input type="hidden" name="checklistItemID[<%=item.index%>]" value="<%=item.id%>">
        <input type="text" class="form-control" name="item[<%=item.index%>]" value="<%=item.item%>" />
    </div>
</script>

<script type="text/javascript">
    var itemIndex = 0;
    $(function() {

        var checklistItems = <?php echo $items?>;
        var _template = _.template(
            $('script.checklist-item-template').html()
        );

        addChecklistItem = function(item) {
            item.index = itemIndex;
            $('#ccm-block-checklist-item-wrapper').append(
                _template({item: item})
            )
            itemIndex++;
        }

        $('#ccm-block-checklist-add-item').on('click', function() {
            $('#ccm-block-checklist-item-none').hide();
            addChecklistItem({
                id: 0,
                item: ''
            });
        });

        $('#ccm-block-checklist-item-wrapper').on('click', 'a[data-remove=checklist-item]', function(e) {
            e.preventDefault();
            $(this).parent().remove();
            if (!$('#ccm-block-checklist-item-wrapper div[data-item=checklist-item]').length) {
                $('#ccm-block-checklist-item-none').show();
            }
        });

        _.each(checklistItems, function(item) {
            addChecklistItem(item);
            if ($('#ccm-block-checklist-item-wrapper div[data-item=checklist-item]').length) {
                $('#ccm-block-checklist-item-none').hide();
            }
        });

        $('#ccm-block-checklist-item-wrapper').sortable({
            handle: 'a[data-sort=checklist-item]'
        });
    });
</script>

<style type="text/css">
    #ccm-block-checklist-item-wrapper {
        -webkit-user-select: none;
    }
    #ccm-block-checklist-item-wrapper a.icon-link {
        display: none;
        color: #666;
        margin-left: 5px;
    }

    #ccm-block-checklist-item-wrapper i.fa-arrows {
       cursor: move;
    }

    #ccm-block-checklist-item-wrapper div[data-item=checklist-item]:hover a.icon-link {
        display: block;
    }
</style>

<script type="text/javascript">
</script>